'use strict';


angular.module('odooMobileDocsApp')

.controller('MobileCtrl', function ($scope) {
    $scope.menus = [
        {
            nombre: 'inicio',
            contenido: 'Inicio',
            activo: 'active'
        },
        {
            nombre: 'login',
            contenido: 'Login',
            activo: ''
        },
        {
            nombre: 'menu',
            contenido: 'Menú',
            activo: ''
        },
        {
            nombre: 'ventas',
            contenido: 'Ventas',
            activo: ''
        },
        {
            nombre: 'clientes',
            contenido: 'Clientes',
            activo: ''
        },
        {
            nombre: 'iniciativas',
            contenido: 'Iniciativas',
            activo: ''
        },
        {
            nombre: 'oportunidades',
            contenido: 'Oportunidades',
            activo: ''
        }
    ];

    $scope.obtenerMenuActivo = function () {
        return $scope.menus.find(function (obj) {
            return obj.activo == 'active';
        });
    }


    $scope.seleccionarMenu = function (indice) {
        var menuActivo = $scope.obtenerMenuActivo();

        menuActivo.activo = '';
        $scope.menus[indice].activo = 'active';
    }
});
